package cn.superdesk.uniorder.dubbo.consumer.organisation;

import cn.superdesk.uniorder.dao.entity.unified.KfkCompany;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboKfkCompanyService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class SysCompanyDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboKfkCompanyService dubboKfkCompanyService;

	public KfkCompany findById(Long id) {

		return dubboKfkCompanyService.findById(id);
	}

	public void updateObj(KfkCompany c) {

		dubboKfkCompanyService.updateObj(c);
	}

	public void addObj(KfkCompany c) {

		dubboKfkCompanyService.addObj(c);
	}

	public KfkCompany findByCompanyId(Long id) {

		return dubboKfkCompanyService.findByCompanyId(id);
	}

	public void delObj(Long id) {

		dubboKfkCompanyService.delObj(id);
	}

	public void mergeReceiveCompany(String message) {
		dubboKfkCompanyService.mergeReceiveCompany(message);
	}

	public void deleteReceiveCompany(String message) {
		dubboKfkCompanyService.deleteReceiveCompany(message);
	}

}
